Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Interface Operation

All Known Implementing Classes:
  AbstractOperation, ComparisonOperation, LogicalOperation, PropertyIsBetweenOperation, PropertyIsCOMPOperation, PropertyIsInstanceOfOperation, PropertyIsLikeOperation, PropertyIsNullOperation, SpatialOperation

    public interface Operation

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Method Summary
`boolean` | `evaluate(Feature feature)` Calculates the `Filter`'s logical value based on the certain property values of the given feature.
`int` | `getOperatorId()` Returns the operator's id.
`String` | `getOperatorName()` Returns the name of the operator.
`StringBuffer` | `to100XML()` Produces an XML representation of this object that complies to Filter Encoding specification 1.0.0.
`StringBuffer` | `to110XML()` Produces an XML representation of this object that complies to Filter Encoding specification 1.1.0.
`StringBuffer` | `toXML()` Produces an XML representation of this object.

Method Detail

### getOperatorName

    String getOperatorName()

  Returns the name of the operator.

  Returns:
    the name of the operator.

### getOperatorId

    int getOperatorId()

  Returns the operator's id.

  Returns:
    the operator's id.

### evaluate

    boolean evaluate(Feature feature)
                     throws FilterEvaluationException

  Calculates the `Filter`'s logical value based on the certain property values of the given feature.

  Parameters:
    `feature` - that determines the values of `PropertyNames` in the expression
  Returns:
    true, if the `Filter` evaluates to true, else false
  Throws:
    `FilterEvaluationException` - if the evaluation fails

### toXML

    StringBuffer toXML()

  Produces an XML representation of this object.

  Returns:
    an XML representation of this object.

### to100XML

    StringBuffer to100XML()

  Produces an XML representation of this object that complies to Filter Encoding specification 1.0.0.

  Returns:
    an XML representation of this object

### to110XML

    StringBuffer to110XML()

  Produces an XML representation of this object that complies to Filter Encoding specification 1.1.0.

  Returns:
    an XML representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org